/**
 * @author Marc Gagnon
 */

package edu.uiuc.webcoord;


public class WELink extends WebElement{
	private String name;
	private String text;
	private String href;
		
	public WELink(String _xCoord, String _yCoord, String _name, String _text, String _href) {
		super(_xCoord, _yCoord);
		
		setName(_name);
		setText(_text);
		setHREF(_href);
	}

	/**
	 * @param name The name to set.
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return Returns the name.
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * @param text The text to set.
	 */
	public void setText(String text) {
		this.text = text;
	}

	/**
	 * @return Returns the text.
	 */
	public String getText() {
		return text;
	}
	
	/**
	 * @param href The href to set.
	 */
	public void setHREF(String href) {
		this.href = href;
	}

	/**
	 * @return Returns the text.
	 */
	public String getHRF() {
		return href;
	}
}